## org.gnu.gdk
Class Span

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.Span

public class Span
extends Boxed

Represents a horizontal line of pixels starting with the pixel at coordinates x,y and ending before x+width,y.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Method Summary
`int` `getWidth()` Retrieve the width of the Span.
`protected static int` `getWidth(Handle obj)`
`int` `getX()` Retrieve the x coordinate.
`protected static int` `getX(Handle obj)`
`int` `getY()` Retrieve the y coordinate.
`protected static int` `getY(Handle obj)`
`protected void` `setWidth(Handle obj, int width)`
`void` `setWidth(int width)` Set the width of the Span.
`protected void` `setX(Handle obj, int x)`
`void` `setX(int x)` Set the x coordinate.
`protected void` `setY(Handle obj, int y)`
`void` `setY(int y)` Set the y coordinate.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getX

    public int getX()

  Retrieve the x coordinate.

### setX

    public void setX(int x)

  Set the x coordinate.

  Parameters:
    `x` -

### getY

    public int getY()

  Retrieve the y coordinate.

### setY

    public void setY(int y)

  Set the y coordinate.

  Parameters:
    `y` -

### getWidth

    public int getWidth()

  Retrieve the width of the Span.

### setWidth

    public void setWidth(int width)

  Set the width of the Span.

  Parameters:
    `width` -

### getX

    protected static final int getX(Handle obj)

### setX

    protected final void setX(Handle obj,
                              int x)

### getY

    protected static final int getY(Handle obj)

### setY

    protected final void setY(Handle obj,
                              int y)

### getWidth

    protected static final int getWidth(Handle obj)

### setWidth

    protected final void setWidth(Handle obj,
                                  int width)